local frame = CreateFrame("Frame")

-- controls to enable/disable auto loot from occurring
local autoLoot = nil -- holds value of CVar "autoLootDefault" (true or false)
local grabCVar = function () autoLoot = GetCVarBool("autoLootDefault"); return autoLoot; end

hooksecurefunc("SetCVar", grabCVar) -- updates local CVar value

-- loots items if auto loot is turned on xor toggle key is pressed
local function LootContents()
  if (autoLoot == nil) then grabCVar(); end -- check if local CVar value is nil
  if (autoLoot ~= IsModifiedClick("AUTOLOOTTOGGLE")) then -- xor
	for i = 1, GetNumLootItems() do LootSlot(i); end
  end
end

-- triggering events and actions to fire
frame:RegisterEvent("LOOT_READY")
frame:SetScript("OnEvent", LootContents);